# diodemail

Send-only smtp server

## Configuration

Configuration is done through a json file. By default it will read
from `/etc/diodemail/config.json`, but this can be overridden by
passing the `--config-file` program argument. The only other
program argument is the `--log-level` which can be one of the
below options.

```json
{
	"LogLevel": "the minimum level to log", // one of trace, debug, info, warn, error, fatal, or panic (default: info)
	"Host":     "your.domain.here", // the hostname to send mail from (the part after the @ in outgoing email)
	"Ports": {
		"Plain": "##" or "disabled", // the port number to listen on or disabled to not listen with plain text
		"TLS": "##" or "disabled" // the port nmuber to listen on or disabled to not listen with TLS
	},
	"Certificate": {
		"CertFile": "path/to/the/cert/file",
		"KeyFile": "path/to/the/private/key/file"
	},
	"Auth": {
		"Enabled": true or false, // Default true
		"PasswordHash": "" // sha256 hash of \0username\0password
	}
}
```

## diodemail-hash

The included `diodemail-hash` shell script is useful for generating the `PasswordHash`
